Bug 214314 - [patch] audio/ncmpcpp: update to 0.7.7 and allow link against ncurses from base
Summary: [patch] audio/ncmpcpp: update to 0.7.7 and allow link against ncurses from base
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason E. Hale
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-08 12:09 UTC by Oleh Hushchenkov
Modified: 2016-12-09 07:12 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (yamagi)


Attachments
up to 0.7.7 (7.27 KB, patch)
2016-11-08 12:09 UTC, Oleh Hushchenkov
no flags Details | Diff
Patch to 0.7.7, version 2 (7.29 KB, patch)
2016-11-14 07:50 UTC, yamagi
yamagi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleh Hushchenkov 2016-11-08 12:09:50 UTC
Created attachment 176774 [details]
up to 0.7.7

Update ncmpcpp to version 0.7.7 and remove hardcoded link to ncurses from ports.
Comment 1 yamagi 2016-11-14 07:49:31 UTC
The patch looks good and I'm totally fine with it. Thank you for doing the hard work :) There's just a small nit: Poudriere complains about a missing dependency on readline. Attached is a new version of the patch adding a 'USES= readline'.
Comment 2 yamagi 2016-11-14 07:50:11 UTC
Created attachment 176980 [details]
Patch to 0.7.7, version 2
Comment 3 Oleh Hushchenkov 2016-11-14 08:03:23 UTC
Thanks!
Comment 4 commit-hook freebsd_committer 2016-12-09 07:11:03 UTC
A commit references this bug:

Author: jhale
Date: Fri Dec  9 07:10:40 UTC 2016
New revision: 428168
URL: https://svnweb.freebsd.org/changeset/ports/428168

Log:
  Update to 0.7.7
  Allow use of base ncurses

  PR:		214314
  Submitted by:	Oleg Gushchenkov <gor@clogic.com.ua>
  Approved by:	<yamagi@yamagi.org> (maintainer)

Changes:
  head/audio/ncmpcpp/Makefile
  head/audio/ncmpcpp/distinfo
  head/audio/ncmpcpp/files/patch-src_mpdpp.cpp
  head/audio/ncmpcpp/files/patch-src_mpdpp.h
Comment 5 Jason E. Hale freebsd_committer 2016-12-09 07:12:04 UTC
Committed, thanks!